package it.mice.voila.runtime.springmvc.bean;

import java.util.Enumeration;
import java.util.Stack;

/**
 * Path stack element of the urls.
 * @see java.util.Stack
 */
public class PathStack extends Stack<PathStackElement> {

	/**
	 * serial version uid.
	 */
	private static final long serialVersionUID = -6981419146961385303L;
	
	public boolean hasSubFlow() {
		Enumeration<PathStackElement> e = elements();
		while (e.hasMoreElements()) {
			PathStackElement pathStackElement = (PathStackElement) e.nextElement();
			if (pathStackElement.isNewFlow()) {
				return true;
			}
		}
		return false;
	}
}
